*{
    margin: 0;
    padding: 0;
}
img {
    max-width: 100%;
}
body{
    font-family: "SF Pro Text", "SF Pro Icons", "Helvetica Neue", Helvetica, Arial, sans-serif;
    
}
section{
    cursor: pointer;
}

    /* header style */
header{
    position: fixed;
    width: 100%;
}

.header-wrapper{
    background-color: black;
    color: white;
    font-weight: 200;
    font-size: 14px;
}
.header-wrapper ul{
    display: flex;
    justify-content: space-between;
}
 header .internal-wrapper{
    width: 980px;
    padding: 0 10px;
    margin: 0 auto;
}
.header-wrapper ul{
    list-style: none;
    
}
.header-wrapper .header-links ul li{
    padding: 14px 0 8px;
    height: 25px;
    opacity: 0.85;
}

.header-wrapper .header-links ul li a{
    text-decoration: none;
    color: #fff;
}
.header-wrapper .header-links ul li:hover {
    opacity: 1;
}
.logo, .search, .cart{
    width: 18px;
}
.header-wrapper .header-links ul li.logo{
    padding: 12px 0 10px;
}
.header-wrapper .header-links ul li.search{
    padding: 14px 0 8px;
}
.header-wrapper .header-links ul li.cart{
    padding: 12px 0 10px;
}
.first-sec{
    background-image: url(../images/vision-photo.jpg);
    width: 100%;
    height: 580px;
    background-position: center;
    background-size: cover;
    text-align: center;
    color: #fff;
    padding: 65px 20px;
}
.product{
    font-weight: 700;
    font-size: 56px;
}
.description{
    font-size: 20px;
}
.links-wrapper{
    padding: 15px 0;
}
.links-wrapper ul li{
    display: inline-block;
    padding-right: 20px;
}
.links-wrapper ul li a{
    text-decoration: none;
    color: #06c;
}
.first-sec .internal-wrapper{
    margin-top: 450px;
}
.second-sec{
    background-image: url(../images/iphone.jpg);
    width: 100%;
    height: 580px;
    background-position: center;
    background-size: cover;
    text-align: center;
    color: #fff;
    padding: 65px 20px;
}
.third-sec{
    background-image: url(../images/apple-svg.png);
    width: 100%;
    height: 500px;
    background-position: center;
    background-size: cover;
    text-align: center;
    color: #fff;
    padding: 65px 20px;
}
.third-sec .internal-wrapper{
   margin-top: 400px;
}
.first-pair{
    display: flex;
    background:#fff;
    justify-content: space-between;

}

.fourth-sec{
    background-image: url(../images/ipad-pro.jpg);
    width: 50%;
    height: 580px;
    margin: 1% 0.5% 0% 1%;
    padding-top: 54px;
    text-align: center;
    background-position: center;
    background-size: cover;
    color: #fff;
    padding: 65px 20px;
}

.description{
    max-width: 430px;
    margin: 0 auto;
    padding: 10px;
}
.fiveth-sec{
    background-image: url(../images/macbook.jpg);
    width: 50%;
    height: 580px;
    margin: 1% 0.5% 0% 1%;
    padding-top: 54px;
    text-align: center;
    background-position: center;
    background-size: cover;
    text-align: center;
    color: #fff;
    padding: 65px 20px;
}
.black{
    color: #1d1d1f;
}
.second-pair{
    display: flex;
    width: auto;
    justify-content: space-between;
}
.sixth-sec{
    background-image: url(../images/vision-pro.jpg);
    width: 50%;
    height: 580px;
    margin: 1% 0.5% 0% 1%;
    padding-top: 54px;
    text-align: center;
    background-position: center;
    background-size: cover;
    text-align: center;
    color: #fff;
}
.sixth-sec .internal-wrapper{
    margin-top: 400px;
}

.seventh-sec{
    background-image: url(../images/watch.jpg);
    width: 50%;
    height: 580px;
    margin: 1% 0.5% 0% 1%;
    padding-top: 54px;
    background-position: center;
    background-size: cover;
    text-align: center;
    color: #fff;
}
.third-pair{
    display: flex;
    width: auto;
    justify-content: space-between;
}
.eighth-sec{
    background-image: url(../images/apple-card.jpg);
    width: 50%;
    height: 580px;
    margin: 1% 0.5% 0% 1%;
    padding-top: 54px;
    background-position: center;
    background-size: cover;
    text-align: center;
    color: #fff;
}
.nineth-sec{
    background-image: url(../images/iphone11.jpg);
    width: 50%;
    height: 580px;
    margin: 1% 0.5% 0% 1%;
    padding-top: 54px;
    background-position: center;
    background-size: cover;
    text-align: center;
    color: #fff;
}

.learn{
    background-color: #06c;
    color: #fff;
    border-radius: 50px;
    margin: 10px;
    padding: 10px;
}
.links-wrapper .learn {
    text-decoration: none;
    color: #fff;
}
.buy{
    background-color: #fff;
    color: #fff;
    border-radius: 50px;
    margin: 15px;
    padding: 10px;
}
.third-sec .buy{
    background-color: #fff;
    color: #3804f7;
    border-radius: 50px;
    margin: 15px;
    padding: 10px;
    text-decoration: none;
    margin-top: 60%;
}

.st{
    justify-content: space-between;
    background-position: center;
    background-size: cover;
    text-align: center;
    color: #fff;
    gap: 5px;
    width: 100%;
    margin: 8px;  
}



.slider-container{
    position: relative;
    width: 100%;
    height: 40rem;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}
.slider .buy{
    border-radius: 50px;
    margin: 0px;
    padding: 8px;
    color: black;
}
.slide{
    position: relative;
    min-width: 100%;
    height: 100%;
}
.slide .caption {
    position: absolute;
    left: 0;
    bottom: 5%;
    font-size: 20px;
    color: white;
    display: flex;
    gap: 1px;
    padding: 1rem 1rem;
    border-radius: 0 2rem 2rem 0;
  }
  .slide .caption a{
    color: #1d1d1f;
    text-decoration: none;
  }
  .slide .caption .prop{
    margin: 5px;
  }

  .slider{
    position: relative;
    width: 70%;
    height: 70%;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 15px;
    justify-content: space-between;
    animation: 15s sliding infinite;
}
  
  .slide.one {
    background-image: url(../images/bad_monkey.jpg);
    width: 100%;
    height: 500px;
    background-position: center;
    background-size: cover;
  }
  .slide.two {
    background-image: url(../images/instigators.jpg);
    width: 100%;
    height: 500px;
    background-position: center;
    background-size: cover;
  }
  .slide.three {
    background-image: url(../images/presumed.jpg);
    width: 100%;
    height: 500px;
    background-position: center;
    background-size: cover;
  }
  .slide.four {
    background-image: url(../images/time.jpg);
    width: 100%;
    height: 500px;
    background-position: center;
    background-size: cover;
  }
  .slide.five {
    background-image: url(../images/leagues.jpg);
    width: 100%;
    height: 500px;
    background-position: center;
    background-size: cover;
  }
  .slide.six {
    background-image: url(../images/lady.jpg);
    width: 100%;
    height: 500px;
    background-position: center;
    background-size: cover;
  }
  .slide.seven {
    background-image: url(../images/sunny.jpg);
    width: 100%;
    height: 500px;
    background-position: center;
    background-size: cover;
  }
  .slide.eight {
    background-image: url(../images/friday.jpg);
    width: 100%;
    height: 500px;
    background-position: center;
    background-size: cover;
  }
  .slide.nine {
    background-image: url(../images/cowboy.jpg);
    width: 100%;
    height: 500px;
    background-position: center;
    background-size: cover;
  }
  .slide.ten {
    background-image: url(../images/the-morning.jpg);
    width: 100%;
    height: 500px;
    background-position: center;
    background-size: cover;
  }
  
  @keyframes sliding {
    0% {
      transform: translateX(0%);
    }
    10% {
        transform: translateX(0%);
      }
    20% {
      transform: translateX(-100%);
    }
    30% {
      transform: translateX(-100%);
    }
    40% {
      transform: translateX(-200%);
    }
    50% {
      transform: translateX(-200%);
    }
    60% {
      transform: translateX(-300%);
    }
    70% {
      transform: translateX(-300%);
    }
    80% {
      transform: translateX(-400%);
    }
    90% {
        transform: translateX(-400%);
      }
    100% {
      transform: translateX(-500%);
    }
  }
   



        /* footer styling */

footer{
    padding-left: 10%;
    padding-right: 10%;
}       
.footer-wrapper{
    background-color: #f5f5f7;
    color: #1d1d1f;
    font-size: 10px;
}
.upper-text{
    border-bottom: 1px solid #d2d2d7;
    color: #86868b;
    padding: 17px 0 20px;
}
.upper-text a{
    color: #516154;
}
.footer-links{
    display: flex;
    justify-content: space-between;
    padding-top: 20px;
}
.footer-links ul{
    list-style: none;
}
.footer-links ul li{
    padding: 5px 0;
    font-size: 10px;
}
.footer-links a{
text-decoration: none;
color: #516154;
}
.footer-links a:hover{
    text-decoration: underline;
}
.footer-links h3{
   font-size: 10px;
   font-weight: 600;
}
.more-ways{
    border-bottom: 1px solid #d2d2d7;
    padding-bottom: 10px;
    margin-bottom: 10px;
}
.copyright-wrapper{
    display: flex;
    justify-content: space-between;
    padding: 10px 0 20px;
}
.terms-link ul li{
    display: inline-block;
    padding: 0 5px;
    border-right: 1px solid #ccc;
}
.terms-link ul li a{
text-decoration: none;
color: #516154;
}
.terms-link ul li a:hover{
    text-decoration: underline;
}
.footer-country .usa{
    vertical-align: top;
}
.usa a{
    text-decoration: none;
    color: #516154;
}
.usa a:hover{
text-decoration: underline;
}


@media (max-width: 600px) {
    .header-wrapper{
        font-weight: 100;
        font-size: 10px;
    }
    .product{
        font-weight: 400;
        font-size: 40px;
    }
    .description{
        font-size: 16px;
    }
    .first-pair, .second-pair, .third-pair {
      display: inline;
    }
    .fourth-sec, .fiveth-sec,.sixth-sec,.seventh-sec,.eighth-sec,.nineth-sec{
        width: 100%;
        height: 580px;
        background-position: center;
        background-size: cover;
        text-align: center;
        color: #fff;
        padding: 65px 20px;
    }
    .third-sec{
        display: none;
    }
    .slider{
        gap: 2px;
    }
    .slider .buy{
        border-radius: 20px;
        margin: 0px;
        padding: 4px;
        color: black;
    }
    
    .slide .caption {
        position: absolute;
        left: 0;
        bottom: 5%;
        font-size: 10px;
        color: white;
        display: flex;
        gap: 1px;
        padding: 1rem 1rem;
        border-radius: 0 2rem 2rem 0;
      }
      footer{
        padding-left: 5%;
        padding-right: 5%;
    } 
  }